Bug 113497 - vmstat breaks after running for a while
vmstat breaks after running for a while
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-14 13:23 EST by Dave Jones
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 13:41:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2004-01-14 13:23:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Galeon/1.3.11

Description of problem:
run 'vmstat 1' for a few minutes, eventually this happens..

 3  0   2844  12900 150540 1028592    0    0   408     0 1011  9494 75
 9  0 16
 5  0   2844  10908 150616 1028764    0    0   252     0 1141  9792 76
16  0  8
open: No such file or directory
error: failed to parse /proc/stats

strace output shows...

close(5)                                = 0
open("/proc/400/stat", O_RDONLY)        = 5
read(5, "400 (make) S 32726 32657 32389 3"..., 1023) = 213
close(5)                                = 0
open("/proc/410/stat", O_RDONLY)        = -1 ENOENT (No such file or
directory)
dup(2)                                  = 5
fcntl64(5, F_GETFL)                     = 0x2 (flags O_RDWR)

task 410 exited during the running of vmstat (I've no idea what it
was). There was a lot of process creation/death during this vmstat run
as I was doing..

for i in *
do
  cd $i
  cvs update 
  cd ..
done

in my cvs mirror, and also a ..

for i in *
do
  cd $i
  make prep
  cd ..
done

in an unpacked rh package tree.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. vmstat 1
2. create/destroy lots of processes
3. wait
    

Additional info:
Comment 1 Daniel Walsh 2004-02-11 09:15:36 EST
Could you check procps-3.1.15?
Comment 2 Dave Jones 2004-02-11 13:41:43 EST
its an ex-bug.
it has ceased to be.. etc..

Note You need to log in before you can comment on or make changes to this bug.